
package com.tmerclub.cloud.order.service.impl;

import com.tmerclub.cloud.order.mapper.PurchaseOrderAddrMapper;
import com.tmerclub.cloud.order.model.PurchaseOrderAddr;
import com.tmerclub.cloud.order.service.PurchaseOrderAddrService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 用户订单配送地址
 *
 * @author tmerclub
 * @date 2020-12-05 14:13:50
 */
@Service
public class PurchaseOrderAddrServiceImpl implements PurchaseOrderAddrService {

    @Autowired
    private PurchaseOrderAddrMapper purchaseOrderAddrMapper;

    @Override
    public PurchaseOrderAddr getById(Long purchaseOrderAddrId) {
        return purchaseOrderAddrMapper.getByPurchaseOrderAddrId(purchaseOrderAddrId);
    }

    @Override
    public void save(PurchaseOrderAddr purchaseOrderAddr) {
        purchaseOrderAddrMapper.save(purchaseOrderAddr);
    }

    @Override
    public void update(PurchaseOrderAddr purchaseOrderAddr) {
        purchaseOrderAddrMapper.update(purchaseOrderAddr);
    }

    @Override
    public void deleteById(Long purchaseOrderAddrId) {
        purchaseOrderAddrMapper.deleteById(purchaseOrderAddrId);
    }
}
